### Class

# Peas PluginInfo

#### Description [src]

    final class Peas.PluginInfo : GObject.Object
    {
      /* No available fields */
    }

A `PeasPluginInfo` contains all the information available about a plugin.

All this information comes from the related plugin info file, whose file extension is “.plugin”. Here is an example of such a plugin file, in the `GKeyFile` format:

    [Plugin]
    Module=helloworld
    Depends=foo;bar;baz
    Loader=python
    Name=Hello World
    Description=Displays "Hello World"
    Authors=Steve Frécinaux &lt;code@istique.net&gt;
    Copyright=Copyright © 2009-10 Steve Frécinaux
    Website=https://wiki.gnome.org/Projects/Libpeas
    Help=https://gitlab.gnome.org/GNOME/libpeas
    Hidden=false

#### Hierarchy

#### Ancestors

- GObject

#### Functions

###### peas_plugin_info_error_quark

No description available.

#### Instance methods

###### peas_plugin_info_get_authors

Gets a `NULL`-terminated array of strings with the authors of the plugin.

###### peas_plugin_info_get_copyright

Gets the copyright of the plugin.

###### peas_plugin_info_get_data_dir

Gets the data dir of the plugin.

###### peas_plugin_info_get_dependencies

Gets the dependencies of the plugin.

###### peas_plugin_info_get_description

Gets the description of the plugin.

###### peas_plugin_info_get_external_data

Gets external data specified for the plugin.

since: 1.6

###### peas_plugin_info_get_help_uri

Gets the help URI of the plugin.

###### peas_plugin_info_get_icon_name

Gets the icon name of the plugin.

###### peas_plugin_info_get_module_dir

Gets the module directory.

###### peas_plugin_info_get_module_name

Gets the module name.

###### peas_plugin_info_get_name

Gets the name of the plugin.

###### peas_plugin_info_get_resource

Creates a new `GResource` for the given `filename` located in the module directory. If `filename` is `NULL` then “${module_name}.gresource” will be loaded.

###### peas_plugin_info_get_settings

Creates a new `GSettings` for the given `schema_id` and if gschemas.compiled is not in the module directory an attempt will be made to create it.

since: 1.4

###### peas_plugin_info_get_version

Gets the version of the plugin.

###### peas_plugin_info_get_website

Gets the website of the plugin.

###### peas_plugin_info_has_dependency

Check if the plugin depends on another plugin.

###### peas_plugin_info_is_available

Check if the plugin is available.

###### peas_plugin_info_is_builtin

Check if the plugin is a builtin plugin.

###### peas_plugin_info_is_hidden

Check if the plugin is a hidden plugin.

###### peas_plugin_info_is_loaded

Check if the plugin is loaded.

###### peas_plugin_info_load_resource

Loads the resource using `peas_plugin_info_get_resource()` and registers it. The resource’s lifetime will be automatically handled by `info`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Peas.PluginInfo:authors

No description available.

###### Peas.PluginInfo:builtin

No description available.

###### Peas.PluginInfo:copyright

No description available.

###### Peas.PluginInfo:dependencies

No description available.

###### Peas.PluginInfo:description

No description available.

###### Peas.PluginInfo:help-uri

No description available.

###### Peas.PluginInfo:hidden

No description available.

###### Peas.PluginInfo:icon-name

No description available.

###### Peas.PluginInfo:loaded

No description available.

###### Peas.PluginInfo:module-dir

No description available.

###### Peas.PluginInfo:module-name

No description available.

###### Peas.PluginInfo:name

No description available.

###### Peas.PluginInfo:version

No description available.

###### Peas.PluginInfo:website

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PeasPluginInfoClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.